SDL_GPUStencilOpState Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUStencilOp | fail_op
SDL_GPUStencilOp | pass_op
SDL_GPUStencilOp | depth_fail_op
SDL_GPUCompareOp | compare_op

## Detailed Description

A structure specifying the stencil operation state of a graphics pipeline.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GPUDepthStencilState

Definition at line 1697 of file SDL_gpu.h.

## Field Documentation

## compare_op

SDL_GPUCompareOp SDL_GPUStencilOpState::compare_op

The comparison operator used in the stencil test.

Definition at line 1702 of file SDL_gpu.h.

## depth_fail_op

SDL_GPUStencilOp SDL_GPUStencilOpState::depth_fail_op

The action performed on samples that pass the stencil test and fail the depth test.

Definition at line 1701 of file SDL_gpu.h.

## fail_op

SDL_GPUStencilOp SDL_GPUStencilOpState::fail_op

The action performed on samples that fail the stencil test.

Definition at line 1699 of file SDL_gpu.h.

## pass_op

SDL_GPUStencilOp SDL_GPUStencilOpState::pass_op

The action performed on samples that pass the depth and stencil tests.

Definition at line 1700 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h